%global pkgname django-ckeditor 
Name:		python-django-ckeditor
Version:	4.4.7  
Release:	2%{?dist}
Summary:	Django admin CKEditor integration
Group:		Development/Languages

# ckeditor included can be GPLv2+ or LGPLv2+ or MPLv1.1
# jush are licensed under Apache license 
# jquery are licensed under MIT license
# all the remaining source code is licensed under BSD 

License:	BSD and (GPLv2+ or LGPLv2+ or MPLv1.1) and MIT and ASL 2.0
URL:		https://pypi.python.org/pypi/django-ckeditor
Source0:	https://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools

%if 0%{?fedora} >= 19
Requires:	python-pillow
%else
Requires:	python-imaging
%endif

%if 0%{?fedora} >= 18
Requires:	python-django
BuildRequires:	python-django
%else
Requires:	Django
BuildRequires:	Django
%endif

%description
Provides a RichTextField and CKEditorWidget utilizing CKEditor 
with image upload and browsing support included

%prep
%setup -qn %{pkgname}-%{version}
#empty files
echo "# Just a comment" > ckeditor/models.py
# Remove bundled egg
rm -rf django_ckeditor.egg-info
# Remove Ds_Store files
find . -iname "*.Ds_Store" | xargs rm -f
# Delete bundled flash files
rm -r ckeditor/static/ckeditor/ckeditor/samples/plugins/htmlwriter/{assets,outputforflash.html}

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
 
%files
%doc LICENSE README.rst AUTHORS.rst CHANGELOG.rst PKG-INFO
%{python2_sitelib}/ckeditor
%{python2_sitelib}/ckeditor_demo
%{python2_sitelib}/django_ckeditor-*.egg-info


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 01 2015 Eduardo Echeverria  <echevemaster@gmail.com> - 4.4.7-1
- Update to new version

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 26 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-5
- Remove bundle flash files %%prep section.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 10 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-3
- Remove Ds_Store files in %%prep.

* Tue Jul 09 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-2
- Change the license field with the correct licenses.

* Sun Jul 07 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-1
- Initial packaging

